<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php")
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais;
$sessao = new sessao();
$mesNumero=$sessao->getVar('controle');
$idLabo=$sessao->getVar('idLabo');
$cliente=$sessao->getVar('cliente');
$inicio=$sessao->getVar('inicio');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$enquadramento=$finalidade;$nomeOperador=$sessao->getVar('nomeuser');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();

$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
 $pdf->open();//abre o fpdf
 //$pdf->AddPage();//adicionando a primera pafina
 $pdf->SetDrawColor(10,10,10);
 $maximoHAdobe=297;//isso para vertical
 $maximoLAdobe=210;//isso para vertical
 //$maximoLAdobe=297;//isso para horizontal
 //$maximoHAdobe=210;//isso para horizontal
 $margemEsquerdaExterna=10;
 $margemEsquerda=10;
 $margemDireita=$maximoLAdobe-6;
 $larguraUtil=$maximoLAdobe-16;
 $futer=$maximoHAdobe-10;
 //$larguraUtil=$maximoLAdobe;
 $cinza=220;
 //$fonte="Arial";
 $nomeOperador=5;
 $pdf->SetFillColor($cinza,$cinza,$cinza); 
 
/*
$pdf->AddPage();//adicionando a primera pafina 

$posicaoCab1=60;$posicaoCab2=45;
$caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
$pdf->Image($caminhoFinal,11,3,48,23,'JPG');
$pdf->SetFont('Arial','',10);
$pdf->setXY($posicaoCab1,$cota1);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[0]),0,1,'L');//lab nome
$pdf->setXY($posicaoCab1,$cota1+5);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[1]),0,1,'L');//lab nome
$pdf->setXY($posicaoCab1,$cota1+10);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[2]),0,1,'L');//lab nome
$pdf->setXY($posicaoCab1,$cota1+15);$pdf->Cell(140,5,'Requerente:'.utf8_decode($produtor),0,1,'L');//lab nome
//imp´rime o titulo
*/

//COMO FUNCIONA ISSO
//pega o produtor sem renasem (renasem menor que 4 caracteres) e veridica documentos daquele mes. Se tem ele captura o nome do cara e forma um vetor de id_produtor
//depois pega o vetor e pesquisa as cultivares ordenando por cultivar e agrupando as amostras recebidas naquela cultivar e ze fini

$sql="SELECT prd_id,prd_nome,prd_cpf,prd_endereco,prd_municipio ,prd_uf,prd_cep FROM documentos,ficha,documentosponte,remetente 
where doc_labo=".$idLabo." and id_lab=".$idLabo." and length(prd_renasem)<4 
and fic_produtor=prd_id 
and  doc_tipo='Informe' && dpo_amostra_vinculada=fic_id && dpo_documento_autonumerador=doc_id &&  year(doc_data)='".$anoAmostra."' &&  MONTH(doc_data)='".$mesNumero."'
order by prd_nome";



//ENTRA DE QUAKQUER MANEIRA
$generica=new tabelagenerica();
$generica->extras_select =$sql;
$generica->selecionaCamposEspecial($generica);

$contador=0;
$contaRegistros=0;
$idProdutor0=0;
while ($res = $generica->retornaDados()):
    $idProdutor=$res->prd_id;
    if($idProdutor!=$idProdutor0):
       $vetorProdutor[$contaRegistros][0]=$idProdutor; 	
       $vetorProdutor[$contaRegistros][1]=$res->prd_nome;
       $vetorProdutor[$contaRegistros][2]=$res->prd_cpf;
       $vetorProdutor[$contaRegistros][3]=$res->prd_endereco;
       $vetorProdutor[$contaRegistros][4]=$res->prd_municipio;
       $vetorProdutor[$contaRegistros][5]=$res->prd_uf;
       $vetorProdutor[$contaRegistros][6]=$res->prd_cep;
       $idProdutor0=$idProdutor;
       $contaRegistros++;
	endif;    
endwhile;


//aqui ja vai percorrer o vetor para montar as tabelas
$indiceGrupoCultivar=-1;
for($i=0;$i<$contaRegistros;$i++):
   $idProdutor= $vetorProdutor[$i][0];
   $nome=       $vetorProdutor[$i][1];
   $cpf=        $vetorProdutor[$i][2];
   $endereco=   $vetorProdutor[$i][3];
   $municipio=  $vetorProdutor[$i][4];
   $uf=         $vetorProdutor[$i][5];
   $cep=        $vetorProdutor[$i][6];
   //echo("nome=$nome id=$idProdutor  <br>");
   //aqui vai pesquisar as cultivares que o cabra prantou e ver quantas amostras em cada curtivar
   $sql="SELECT fic_amostra,esp_nome,ctv_id,ctv_nome,fic_id 
   FROM especies,cultivar,documentos,ficha,documentosponte
   where fic_labo=".$idLabo."
   and fic_cultivar=ctv_id
   and   fic_produtor=".$idProdutor."
   and ctv_especie=esp_id 
   and(doc_tipo='Boletim' or doc_tipo='informe') 
   and dpo_amostra_vinculada=fic_id 
   and dpo_documento_autonumerador=doc_id 
   and dpo_documento_autonumerador=doc_id 
   
   
   and  year(doc_data)='".$anoAmostra."' 
   and  MONTH(doc_data)='".$mesNumero."'
   order by ctv_nome";

	//ENTRA DE QUAKQUER MANEIRA
	$generica=new tabelagenerica();
	$generica->extras_select =$sql;
	$generica->selecionaCamposEspecial($generica);

	$contaAmostras=0;
	$idCultivar0=0;
	$concatenadoAmostrasTestes="";
	while ($res = $generica->retornaDados()):
	    //$objetocalculoRaioX = new calculosFichaVirtual();
	    $amostraLong=$res->fic_id;
	    $amostrax=$res->fic_amostra;

	    //$vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);
		////////////////////////////////
		
		$userTestes = new testesSolicitados();
		$userTestes->extras_select = "where tes_ficha=".$amostraLong;
		$userTestes->selecionaTudo($userTestes);
		$conta=0;
		$textox="";
		while ($resTestes = $userTestes->retornaDados()):
	       $texto=$texto.$resTestes->tes_teste.";";
	       $textox=$textox.$resTestes->tes_teste.";";
	       $vetorTestes[$conta]=$resTestes->tes_teste;
		   $conta++;
		endwhile;  
		$concatenadoAmostrasTestes=	$concatenadoAmostrasTestes.$amostrax.":".$textox;             
	    //$vetorRaioX[47];
	    //$vetorRaioX[54]=$vetorTestes;//testes_realizar
		//$textox='tx'.$vetorRaioX[54];
			////////////////////////////////
		$testesRealizar=$textox;	
		
		
		//$testeSRealizar=$vetorRaioX[54];
		//$testeSRealizar=$amostraLong;
	    $idCultivar=$res->ctv_id;
	    if($idCultivar!=$idCultivar0):

	       $contaAmostras=0;
 	       $idCultivar0=$idCultivar;
	       $nomeCultivar=$res->ctv_nome;
	       $nomeEspecie=$res->esp_nome;
           //echo("nome=$nome id=$idProdutor idCultivar=$idCultivar nomeCultivar=$nomeCultivar <br>");
		   //vai trasfereir para o vetor final os dados do produtor, preparando para impressao
		   $indiceGrupoCultivar++;
           $vetorGrupoCultivar[$indiceGrupoCultivar][0]= $vetorProdutor[$i][1];//vai armazenar o nome do produtor
           $vetorGrupoCultivar[$indiceGrupoCultivar][1]= $vetorProdutor[$i][2];//vai armazenar o cpf do produtor
           $vetorGrupoCultivar[$indiceGrupoCultivar][2]= $vetorProdutor[$i][3];//vai armazenar o endereco do produtor
           $vetorGrupoCultivar[$indiceGrupoCultivar][3]= $vetorProdutor[$i][4];//vai armazenar o municipio do produtor
           $vetorGrupoCultivar[$indiceGrupoCultivar][4]= $vetorProdutor[$i][5];//vai armazenar o uf do produtor
           $vetorGrupoCultivar[$indiceGrupoCultivar][5]= $vetorProdutor[$i][6];//vai armazenar o cep do produtor
           //vai arqmazenar a cultivar e a especie
           $vetorGrupoCultivar[$indiceGrupoCultivar][6]= $nomeCultivar;//vai armazenar o nome dda cultivar
           $vetorGrupoCultivar[$indiceGrupoCultivar][7]= $nomeEspecie;//vai armazenar o nome da especie
        endif;  
        $contaAmostras++;
        $vetorGrupoCultivar[$indiceGrupoCultivar][8]= $contaAmostras." Testes:".$concatenadoAmostrasTestes;//vai armazenar o total de amostras
		         
	endwhile;
	$concatenadoAmostrasTestes="";  	
endfor;//percorre todas as id do produtor

//echo("depois<br>");


//aqui ja vai percorrer o vetor final das cultivares/dados requerente e totais de amostras em cada cultivar
//aqui ja manda imprimir




$salto=0;
for($i=0;$i<=$indiceGrupoCultivar;$i++):
  
  $nome=$vetorGrupoCultivar[$i][0];
  $cpf=$vetorGrupoCultivar[$i][1];
  $endereco=$vetorGrupoCultivar[$i][2];
  $municipio=$vetorGrupoCultivar[$i][3];
  $uf=$vetorGrupoCultivar[$i][4];
  $cep=$vetorGrupoCultivar[$i][5];
  $cultivar=$vetorGrupoCultivar[$i][6];
  $especie=$vetorGrupoCultivar[$i][7];
  $numeroPorCultivar =$vetorGrupoCultivar[$i][8];  
  //echo("nome=$nome  curtivar $cultivar  numeroPorCulvivar=$numeroPorCultivar<br>");
  
  if($salto==0): 
     $contador=0;
     //imprime pagina nova com cabEacalho	 
     $pdf->AddPage();//adicionando a primera pafina
     $cota1=1;
	 $posicaoCab1=60;$posicaoCab2=45;
	 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
	 $pdf->Image($caminhoFinal,11,14,48,23,'JPG');
     $pdf->Rect($margemEsquerda,$cota1,$larguraUtil,10);
	 $pdf->SetFont('Arial','',10);
	 $pdf->setXY($margemEsquerda,$cota1);
	 $pdf->Cell($larguraUtil,5,utf8_decode('ANEXO XLI'),0,1,'C');//ANEXO...
	 $pdf->setXY($margemEsquerda,$cota1+5);
	 $pdf->Cell($larguraUtil,5,utf8_decode('CADASTRO DE USUÁRIOS DO LABORATÓRIOS, NÃO INSCRITOS NO RENASEM.'.'   Mes:'.$mesNumero.'/'.$anoAmostra),0,1,'C');//ANEXO...

    $cota1=19;
	$pdf->setXY($posicaoCab1,$cota1);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[0]),0,1,'C');//lab nome
	$pdf->setXY($posicaoCab1,$cota1+5);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[1]),0,1,'C');//lab nome
	$pdf->setXY($posicaoCab1,$cota1+10);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[2]),0,1,'C');//lab nome
	$pdf->setXY($posicaoCab1,$cota1+15);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[3]),0,1,'C');//lab nome
	$pdf->setXY($posicaoCab1,$cota1+20);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[4]),0,1,'C');//lab nome
	$cota1=25;
	 
	 $salto=1;
  endif;
  $contador++;

  $cota1+=21; 
  $pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);
  $pdf->setXY($margemEsquerda,$cota1);
  $pdf->Cell(180,5,utf8_decode('Nome:'.$nome. "  CPF:".$cpf),0,1,'L');//.
  $pdf->setXY($margemEsquerda,$cota1+4);
  $pdf->Cell(180,5,utf8_decode('Endereço:'.$endereco),0,1,'L');//.
  $pdf->setXY($margemEsquerda,$cota1+8);
  $pdf->Cell(180,5,utf8_decode('Município:'.$municipio. "  UF:".$uf. "  CEP:".$cep),0,1,'L');//.
  $pdf->setXY($margemEsquerda,$cota1+12);
  if(substr($cliente,0,8)=='DIMICRON')  $cultivar="-O-";
  $pdf->Cell(180,5,utf8_decode('Espécie:'.$especie. "  Cultivar:".$cultivar),0,1,'L');//.
  $pdf->setXY($margemEsquerda,$cota1+16);
  $pdf->Cell(180,5,utf8_decode('Análises realizadas:'.$numeroPorCultivar),0,1,'L');//.


  if($contador==10)$salto=0; 
endfor;

//IMPRIME LOCAL DATA E ASSINATURA
$cotaFinal=265;
$pdf->setXY(60,$cotaFinal);
$pdf->Cell(100,5,utf8_decode($vetorCabecalho[6]).', '.date("d/m/Y"),0,1,'L');//
//captura o rt
 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
 $cota4=$cotaFinal;
 $cota7=$cota4;
 $cotaLinha=$cota4;
 $pdf->setXY(100,$cota7-10);
 $base[4][3]=$vetorTecnico[1];
 $base[5][3]="RENASEM:".$vetorTecnico[3]."  CREA:".$vetorTecnico[2];
 $base[6][3]=$vetorTecnico[7];// seria o cargo?
 $pdf->SetXY(100,$cota7);$pdf->Cell(90,5,utf8_decode($base[1][3]),0,1,'L');	
 $pdf->Line(100,$cota7+5,190,$cota7+5);//linha separadora horizontal
 $pdf->SetXY(100,$cota7+6);$pdf->Cell(90,5,utf8_decode($base[4][3]),0,1,'C');	
 $pdf->SetXY(100,$cota7+10);$pdf->Cell(90,5,utf8_decode($base[5][3]),0,1,'C');	
 $pdf->SetXY(100,$cota7+14);$pdf->Cell(90,5,utf8_decode($base[6][3]),0,1,'C');	//ESTE ITEM É ASSINATURA SIM;NAO	
 $pdf->SetFont('Arial','',8);


//aqui como era
//$vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
//$nomeTecnico=$vetorTecnico[1];//nome do rt
//IMPRIME O TECNICO
//$pdf->Line(130,$cotaFinal,190,$cotaFinal);
//$pdf->setXY(110,$cotaFinal);
//$pdf->Cell(100,5,utf8_decode($nomeTecnico),0,1,'C');//
//$pdf->setXY(110,$cotaFinal+5);
//$pdf->Cell(100,5,utf8_decode('Responsável técnico'),0,1,'C');//


ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
